#include "bits/stdc++.h"
#include "guess.h"
// #include "grader.cpp"
using namespace std;

int find_number(int MAX){
    int l=1, r=MAX, ans=-1;
    while(l<=r){
        int mid=(l+r)>>1;
        if(smaller(mid))
            r=mid-1;
        else
            ans=mid, l=mid+1;
    }
    assert(~ans);
    return ans;
}